Subject: bug#56815: 29.0.50; Isearch lazy-highlight highlights too much when truncate-lines is in effect

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Aug 2022 14:10:21 +0300

> Date: Tue, 02 Aug 2022 07:31:16 +0000
> From: Gregory Heytings <[email-masked]>
> cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> 
> 
> >> So if no good ideas arise that are simple enough to implement, I'm okay 
> >> with simply disabling isearch-lazy-highlight in such buffers, as I 
> >> wrote in the original bug report.  (Doing that will probably require 
> >> exposing the "long-lines" flag to Lisp, but that's fine by me.)
> >
> > Exposing the "long-lines" flag to Lisp is exactly what is needed.
> >
> 
> My current plan is to run a hook when long lines are detected, in which 
> modes such as isearch will be free to add any function they like.

I'm not sure I agree that a hook is a better interface.  A hook is
only useful to features that are already turned on when the hook is
called; features that are turned on later will miss it.

By contrast, an accessor function can be called at any time, and for
an attribute that, once set remains set, I think it's a more
convenient way of adapting features and packages to this condition.

Or am I missing something?